// $Id: chromosome.h 1.1 Mon, 03 Feb 1997 13:22:18 -0400 humberto $ -*- C++ -*-
// Class declaration for chromosomes, for BPA.
//
// Copyright (C) 1995, 1996 Humberto Ortiz Zuazaga and Rosemarie Plaetke.
//
// This program is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public License
// as published by the Free Software Foundation; either version 2
// of the License, or (at your option) any later version.
// 
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
// 
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
//
// See the file licence.html for a copy of the GNU GPL

#ifndef CHROMOSOME_H
#define CHROMOSOME_H

class chromosome {
private:
  // Chromosomal identity from linkage file, not really used.
  unsigned int pedigree;
  unsigned int id;
  unsigned short parent;

  unsigned int kapo;		// phase-known anchor point origins
  unsigned int knowns;		// phase-known loci (total).

public:
  unsigned int getkapo(void);
  unsigned int setkapo(unsigned int a);
  unsigned int getknowns(void);
  unsigned int setknowns(unsigned int k);
};

#endif // CHROMOSOME_H
