// $Id: marker.cc 1.1 Mon, 03 Feb 1997 13:22:18 -0400 humberto $
// Method definitions for the marker class.
//
// Copyright (C) 1995, 1996 Humberto Ortiz Zuazaga and Rosemarie Plaetke.
//
// This program is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public License
// as published by the Free Software Foundation; either version 2
// of the License, or (at your option) any later version.
// 
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
// 
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
//
// See the file licence.html for a copy of the GNU GPL

#include "marker.h"

// Empty constructor

marker::marker(void) {
  name = "";
  weight = 0;
}

// Constructor, specify all settings.

marker::marker(string s, unsigned int k) {
  name = s;
  weight = k;
}

// Access the name
string marker::getname(void) {
  return name; 
}

string marker::setname(string s) {
  name = s;
  return name;
}

// Access the informativity information.
unsigned int marker::getweight(void) {
  return weight;
}
 
unsigned int marker::setweight(unsigned int k) {
  weight = k;
  return weight;
}
