// $Id: marker.h 1.2 Thu, 06 Feb 1997 16:54:39 -0400 humberto $ -*- C++ -*-
// Class definitions for markers.
//
// Copyright (C) 1995, 1996 Humberto Ortiz Zuazaga and Rosemarie Plaetke.
//
// This program is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public License
// as published by the Free Software Foundation; either version 2
// of the License, or (at your option) any later version.
// 
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
// 
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
//
// See the file licence.html for a copy of the GNU GPL

#ifndef MARKER_H
#define MARKER_H

#include <LEDA/basic.h>

class marker {
private:
  string name;
  unsigned int weight;
public:

  // Constructors & destructors
  marker(void);
  marker(string s, unsigned int k);

  // Gettors & settors
  string getname(void);
  string setname(string s);
  unsigned int getweight(void);
  unsigned int setweight(unsigned int k);
};

#endif // MARKER_H
